org.wildfly.swarm.config

## Class Naming<T extends Naming<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Naming<T>

- Direct Known Subclasses:
    NamingFraction

      public class Naming<T extends Naming<T>>
      extends Object

  The configuration of the naming subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Naming.NamingResources` Child mutators for Naming

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Naming()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `binding(Binding value)` Add the Binding object to the list of subresources
    `T` | `binding(BindingSupplier supplier)` Install a supplied Binding object to the list of subresources
    `T` | `binding(String childKey)` Create and configure a Binding object to the list of subresources
    `T` | `binding(String childKey, BindingConsumer consumer)` Create and configure a Binding object to the list of subresources
    `T` | `bindings(List<Binding> value)` Add all Binding objects to this subresource
    `String` | `getKey()`
    `T` | `remoteNamingService()` The remote naming server
    `T` | `remoteNamingService(RemoteNamingService value)` The remote naming server
    `T` | `remoteNamingService(RemoteNamingServiceConsumer consumer)` The remote naming server
    `T` | `remoteNamingService(RemoteNamingServiceSupplier supplier)` The remote naming server
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Naming.NamingResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Naming

          public Naming()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Naming.NamingResources subresources()

    - #### bindings

          public T bindings(List<Binding> value)

      Add all Binding objects to this subresource
      Parameters:
        `value` - List of Binding objects.
      Returns:
        this

    - #### binding

          public T binding(Binding value)

      Add the Binding object to the list of subresources
      Parameters:
        `value` - The Binding to add
      Returns:
        this

    - #### binding

          public T binding(String childKey,
                           BindingConsumer consumer)

      Create and configure a Binding object to the list of subresources
      Parameters:
        `key` - The key for the Binding resource
        `config` - The BindingConsumer to use
      Returns:
        this

    - #### binding

          public T binding(String childKey)

      Create and configure a Binding object to the list of subresources
      Parameters:
        `key` - The key for the Binding resource
      Returns:
        this

    - #### binding

          public T binding(BindingSupplier supplier)

      Install a supplied Binding object to the list of subresources

    - #### remoteNamingService

          public T remoteNamingService(RemoteNamingService value)

      The remote naming server

    - #### remoteNamingService

          public T remoteNamingService(RemoteNamingServiceConsumer consumer)

      The remote naming server

    - #### remoteNamingService

          public T remoteNamingService()

      The remote naming server

    - #### remoteNamingService

          public T remoteNamingService(RemoteNamingServiceSupplier supplier)

      The remote naming server

Copyright © 2018 JBoss by Red Hat. All rights reserved.